Subject: bug#59075: 29.0.50; Image transforms not applied to svg images

From: Evgeny Zajcev <[email-masked]>
Date: Sun, 6 Nov 2022 19:07:17 +0300

вс, 6 нояб. 2022 г. в 16:02, Stephen Berman <[email-masked]>:

> On Sun, 06 Nov 2022 14:33:30 +0200 Eli Zaretskii <[email-masked]> wrote:
>
> >> From: Evgeny Zajcev <[email-masked]>
> >> Date: Sun, 6 Nov 2022 14:52:17 +0300
> >> Cc: [email-masked]
> >>
> >>  If this is caused by upgrading to a newer librsvg, why are you certain
> >>  that it's an Emacs bug and not a librsvg bug?
> >>
> >> Newer librsvg is known to have few bugs that we have already reported
> to the
> >> librsvg community.
> >> However, in this particular case I'm not sure this is caused by librsvg
> >> side, why transforms starts to apply
> >> after changing image type in the image spec?
> >
> > I don't know.  I'm not sure it's a librsvg bug, I'm just saying it
> > could be theirs as well as ours.  We need a librsvg expert to tell.
> > Anyone?
>
> I'm no librsvg expert, but I don't see the OP's problem on master
> running under GNU/Linux with librsvg 2.54.5, GTK+ 3.24.34, cairo 1.17.6.
>

Possibly svg image with defined viewBox should be used to trigger this.
Could you please try original image I've used -
http://lgarc.narod.ru/pics/github-octocat.svg

Try also applying `:scale` transformer along with the `:height' as in my
example

-- 
lg